[-]
[+]
|
Deleted |
mysql.spec
|
@@ -1,3015 +0,0 @@
-# SCL stuff
-%global scl 1
-
-%{?scl:%scl_package mysql}
-%{!?scl:%global pkg_name %{name}}
-
-# Name of the package without any prefixes
-%global pkgnamepatch mysql
-
-# Regression tests may take a long time (many cores recommended), skip them by
-# passing --nocheck to rpmbuild or by setting runselftest to 0 if defining
-# --nocheck is not possible (e.g. in koji build)
-%{!?runselftest:%global runselftest 1}
-
-# Set this to 1 to see which tests fail
-%{!?check_testsuite:%global check_testsuite 1}
-
-# In f20+ use unversioned docdirs, otherwise the old versioned one
-%global _pkgdocdirname %{pkg_name}%{!?_pkgdocdir:-%{version}}
-%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{pkg_name}-%{version}}
-
-# Use Full RELRO for all binaries (RHBZ#1092548)
-%global _hardened_build 1
-
-# By default, patch(1) creates backup files when chunks apply with offsets.
-# Turn that off to ensure such files don't get included in RPMs (cf bz#884755).
-%global _default_patch_flags --no-backup-if-mismatch
-
-%global skiplist platform-specific-tests.list
-
-# For some use cases we do not need some parts of the package
-%if 0%{?scl:1}
-%bcond_with clibrary
-%else
-%bcond_without clibrary
-%endif
-%bcond_without devel
-%bcond_without client
-%bcond_without common
-%bcond_without errmsg
-%bcond_without test
-
-# When there is already another package that ships /etc/my.cnf,
-# rather include it than ship the file again, since conflicts between
-# those files may create issues
-%if 0%{?scl:1}
-%bcond_without config
-%else
-%bcond_with config
-%endif
-
-# For deep debugging we need to build binaries with extra debug info
-%bcond_with debug
-
-%if 0%{?fedora}
-%bcond_with bundled_icu
-%else
-%bcond_without bundled_icu
-%endif
-
-%if 0%{?fedora} >= 26 || 0%{?rhel} > 7
-%bcond_with bundled_protobuf
-%else
-%bcond_without bundled_protobuf
-%endif
-
-%if 0%{?fedora}
-%bcond_with bundled_re2
-%else
-%bcond_without bundled_re2
-%endif
-
-# Include files for SysV init or systemd
-%if 0%{?fedora} >= 15 || 0%{?rhel} >= 7
-%bcond_without init_systemd
-%bcond_with init_sysv
-%global daemondir %{_unitdir}
-%else
-%bcond_with init_systemd
-%bcond_without init_sysv
-%global daemondir %{_sysconfdir}/rc.d/init.d
-%endif
-%global daemon_name %{?scl_prefix}mysqld
-%global daemon_no_prefix mysqld
-
-%{?scl:%global se_daemon_source %{_unitdir}/mysqld}
-
-# Directory for storing pid file
-%if 0%{?rhel} == 6
-%global pidfiledir %{_localstatedir}/run/%{daemon_name}
-%else
-%global pidfiledir %{_rundir}/%{daemon_name}
-%endif
-
-# We define some system's well known locations here so we can use them easily
-# later when building to another location (like SCL)
-%if 0%{?scl:1}
-%global logrotateddir %{_root_sysconfdir}/logrotate.d
-%global selinux_packages_dir %{_root_datadir}/selinux/packages
-%else
-%global logrotateddir %{_sysconfdir}/logrotate.d
-%global selinux_packages_dir %{_datadir}/selinux/packages
-%endif
-%global logfiledir %{_localstatedir}/log/mysql
-%global logfile %{logfiledir}/%{daemon_no_prefix}.log
-
-# Defining where database data live
-%global dbdatadir %{_localstatedir}/lib/mysql
-
-# Home directory of mysql user should be same for all packages that create it
-%global mysqluserhome /var/lib/mysql
-
-# Provide mysql names for compatibility
-%if 0%{?scl:1}
-%bcond_with mysql_names
-%bcond_with conflicts
-%else
-%bcond_without mysql_names
-%bcond_without conflicts
-%endif
-
-# Make long macros shorter
-%global sameevr %{?epoch:%{epoch}:}%{version}-%{release}
-
-%if 0%{?scl:1}
-%global scl_upper %{lua:print(string.upper(string.gsub(rpm.expand("%{scl}"), "-", "_")))}
-%endif
-
-Name: %{?scl_prefix}mysql
-Version: 8.0.17
-Release: 3%{?with_debug:.debug}%{?dist}
-Summary: MySQL client programs and shared libraries
-URL: http://www.mysql.com
-
-# Exceptions allow client libraries to be linked with most open source SW,
-# not only GPL code. See README.mysql-license
-License: GPLv2 with exceptions and LGPLv2 and BSD
-
-Source0: https://cdn.mysql.com/Downloads/MySQL-8.0/mysql-boost-%{version}.tar.gz
-Source2: mysql_config_multilib.sh
-Source3: my.cnf.in
-Source6: README.mysql-docs
-Source7: README.mysql-license
-Source10: mysql.tmpfiles.d.in
-Source11: mysql.service.in
-Source12: mysql-prepare-db-dir.sh
-Source13: mysql-wait-ready.sh
-Source14: mysql-check-socket.sh
-Source15: mysql-scripts-common.sh
-Source16: mysql-check-upgrade.sh
-Source17: mysql-wait-stop.sh
-Source18: mysql@.service.in
-Source19: mysql.init.in
-# To track rpmlint warnings
-Source30: mysql-5.6.10-rpmlintrc
-# Configuration for server
-Source31: server.cnf.in
-Source32: default-authentication-plugin.cnf
-Source40: daemon-scl-helper.sh
-Source41: mysql-sysnice.te
-
-# Comments for these patches are in the patch files
-# Patches common for more mysql-like packages
-Patch1: %{pkgnamepatch}-install-test.patch
-Patch2: %{pkgnamepatch}-s390-tsc.patch
-Patch3: %{pkgnamepatch}-file-contents.patch
-Patch4: %{pkgnamepatch}-scripts.patch
-Patch5: %{pkgnamepatch}-paths.patch
-
-# Patches specific for this mysql package
-Patch51: %{pkgnamepatch}-chain-certs.patch
-Patch52: %{pkgnamepatch}-sharedir.patch
-Patch75: %{pkgnamepatch}-arm32-timer.patch
-Patch76: %{pkgnamepatch}-header-file-include.patch
-
-# Patches specific for scl
-Patch90: %{pkgnamepatch}-scl-env-check.patch
-Patch91: %{pkgnamepatch}-rpath.patch
-
-# Patches taken from boost 1.59
-Patch115: boost-1.58.0-pool.patch
-Patch125: boost-1.57.0-mpl-print.patch
-# Use same logfile path in logrotate and mysql configs
-Patch126: mysql-logrotate-log-path.patch
-
-BuildRequires: cmake
-BuildRequires: gcc-c++
-BuildRequires: libaio-devel
-BuildRequires: libedit-devel
-BuildRequires: libevent-devel
-%if %{without bundled_icu}
-BuildRequires: libicu-devel
-%endif
-BuildRequires: %{?scl_prefix}lz4
-BuildRequires: %{?scl_prefix}lz4-devel
-BuildRequires: %{?scl_prefix}mecab-devel
-BuildRequires: %{?scl_prefix}bison
-%ifnarch aarch64 %{arm} s390 s390x
-BuildRequires: numactl-devel
|
[-]
[+]
|
Deleted |
boost-1.57.0-mpl-print.patch
^
|
@@ -1,31 +0,0 @@
-diff -up boost_1_57_0/boost/mpl/print.hpp\~ boost_1_57_0/boost/mpl/print.hpp
---- boost_1_57_0/boost/mpl/print.hpp~ 2014-07-09 23:12:31.000000000 +0200
-+++ boost_1_57_0/boost/mpl/print.hpp 2015-01-20 12:44:59.621400948 +0100
-@@ -52,16 +52,15 @@ struct print
- enum { n = sizeof(T) + -1 };
- #elif defined(__MWERKS__)
- void f(int);
--#else
-- enum {
-- n =
--# if defined(__EDG_VERSION__)
-- aux::dependent_unsigned<T>::value > -1
--# else
-- sizeof(T) > -1
--# endif
-- };
--#endif
-+#elif defined(__EDG_VERSION__)
-+ enum { n = aux::dependent_unsigned<T>::value > -1 };
-+#elif defined(BOOST_GCC)
-+ enum { n1 };
-+ enum { n2 };
-+ enum { n = n1 != n2 };
-+#else
-+ enum { n = sizeof(T) > -1 };
-+#endif
- };
-
- #if defined(BOOST_MSVC)
-
-Diff finished. Tue Jan 20 12:45:03 2015
|
[-]
[+]
|
Deleted |
boost-1.58.0-pool.patch
^
|
@@ -1,120 +0,0 @@
-Index: boost/pool/pool.hpp
-===================================================================
---- boost/pool/pool.hpp (revision 78317)
-+++ boost/pool/pool.hpp (revision 78326)
-@@ -27,4 +27,6 @@
- #include <boost/pool/poolfwd.hpp>
-
-+// std::numeric_limits
-+#include <boost/limits.hpp>
- // boost::integer::static_lcm
- #include <boost/integer/common_factor_ct.hpp>
-@@ -358,4 +360,11 @@
- }
-
-+ size_type max_chunks() const
-+ { //! Calculated maximum number of memory chunks that can be allocated in a single call by this Pool.
-+ size_type partition_size = alloc_size();
-+ size_type POD_size = integer::static_lcm<sizeof(size_type), sizeof(void *)>::value + sizeof(size_type);
-+ return (std::numeric_limits<size_type>::max() - POD_size) / alloc_size();
-+ }
-+
- static void * & nextof(void * const ptr)
- { //! \returns Pointer dereferenced.
-@@ -377,5 +388,7 @@
- //! the first time that object needs to allocate system memory.
- //! The default is 32. This parameter may not be 0.
-- //! \param nmax_size is the maximum number of chunks to allocate in one block.
-+ //! \param nmax_size is the maximum number of chunks to allocate in one block.
-+ set_next_size(nnext_size);
-+ set_max_size(nmax_size);
- }
-
-@@ -400,7 +413,7 @@
- }
- void set_next_size(const size_type nnext_size)
-- { //! Set number of chunks to request from the system the next time that object needs to allocate system memory. This value should never be set to 0.
-- //! \returns nnext_size.
-- next_size = start_size = nnext_size;
-+ { //! Set number of chunks to request from the system the next time that object needs to allocate system memory. This value should never be set to 0.
-+ BOOST_USING_STD_MIN();
-+ next_size = start_size = min BOOST_PREVENT_MACRO_SUBSTITUTION(nnext_size, max_chunks());
- }
- size_type get_max_size() const
-@@ -410,5 +423,6 @@
- void set_max_size(const size_type nmax_size)
- { //! Set max_size.
-- max_size = nmax_size;
-+ BOOST_USING_STD_MIN();
-+ max_size = min BOOST_PREVENT_MACRO_SUBSTITUTION(nmax_size, max_chunks());
- }
- size_type get_requested_size() const
-@@ -713,7 +727,7 @@
- BOOST_USING_STD_MIN();
- if(!max_size)
-- next_size <<= 1;
-+ set_next_size(next_size << 1);
- else if( next_size*partition_size/requested_size < max_size)
-- next_size = min BOOST_PREVENT_MACRO_SUBSTITUTION(next_size << 1, max_size*requested_size/ partition_size);
-+ set_next_size(min BOOST_PREVENT_MACRO_SUBSTITUTION(next_size << 1, max_size * requested_size / partition_size));
-
- // initialize it,
-@@ -753,7 +767,7 @@
- BOOST_USING_STD_MIN();
- if(!max_size)
-- next_size <<= 1;
-+ set_next_size(next_size << 1);
- else if( next_size*partition_size/requested_size < max_size)
-- next_size = min BOOST_PREVENT_MACRO_SUBSTITUTION(next_size << 1, max_size*requested_size/ partition_size);
-+ set_next_size(min BOOST_PREVENT_MACRO_SUBSTITUTION(next_size << 1, max_size * requested_size / partition_size));
-
- // initialize it,
-@@ -797,4 +811,6 @@
- //! \returns Address of chunk n if allocated ok.
- //! \returns 0 if not enough memory for n chunks.
-+ if (n > max_chunks())
-+ return 0;
-
- const size_type partition_size = alloc_size();
-@@ -845,7 +861,7 @@
- BOOST_USING_STD_MIN();
- if(!max_size)
-- next_size <<= 1;
-+ set_next_size(next_size << 1);
- else if( next_size*partition_size/requested_size < max_size)
-- next_size = min BOOST_PREVENT_MACRO_SUBSTITUTION(next_size << 1, max_size*requested_size/ partition_size);
-+ set_next_size(min BOOST_PREVENT_MACRO_SUBSTITUTION(next_size << 1, max_size * requested_size / partition_size));
-
- // insert it into the list,
-Index: libs/pool/test/test_bug_6701.cpp
-===================================================================
---- libs/pool/test/test_bug_6701.cpp (revision 78326)
-+++ libs/pool/test/test_bug_6701.cpp (revision 78326)
-@@ -0,0 +1,27 @@
-+/* Copyright (C) 2012 Étienne Dupuis
-+*
-+* Use, modification and distribution is subject to the
-+* Boost Software License, Version 1.0. (See accompanying
-+* file LICENSE_1_0.txt or http://www.boost.org/LICENSE_1_0.txt)
-+*/
-+
-+// Test of bug #6701 (https://svn.boost.org/trac/boost/ticket/6701)
-+
-+#include <boost/pool/object_pool.hpp>
-+#include <boost/limits.hpp>
-+
-+int main()
-+{
-+ boost::pool<> p(1024, std::numeric_limits<size_t>::max() / 768);
-+
-+ void *x = p.malloc();
-+ BOOST_ASSERT(!x);
-+
-+ BOOST_ASSERT(std::numeric_limits<size_t>::max() / 1024 >= p.get_next_size());
-+ BOOST_ASSERT(std::numeric_limits<size_t>::max() / 1024 >= p.get_max_size());
-+
-+ void *y = p.ordered_malloc(std::numeric_limits<size_t>::max() / 768);
-+ BOOST_ASSERT(!y);
-+
-+ return 0;
-+}
|
[-]
[+]
|
Deleted |
mysql-arm32-timer.patch
^
|
@@ -1,14 +0,0 @@
---- mysql-8.0.4-rc/mysql-test/include/mtr_warnings.sql~ 2018-01-18 16:52:52.000000000 +0100
-+++ mysql-8.0.4-rc/mysql-test/include/mtr_warnings.sql 2018-03-08 20:14:48.537507245 +0100
-@@ -311,6 +311,11 @@
- */
- ("The SSL library function CRYPTO_set_mem_functions failed"),
-
-+ /*
-+ ARM32 don't support timers and get this warning in every test.
-+ */
-+ ("The CYCLE timer is not available. WAIT events in the performance_schema will not be timed."),
-+
- ("THE_LAST_SUPPRESSION")||
-
-
|
[-]
[+]
|
Deleted |
mysql-chain-certs.patch
^
|
@@ -1,24 +0,0 @@
-Fix things so that chains of certificates work in the server and client
-certificate files.
-
-This only really works for OpenSSL-based builds, as yassl is unable to read
-multiple certificates from a file. The patch below to yassl/src/ssl.cpp
-doesn't fix that, but just arranges that the viosslfactories.c patch won't
-have any ill effects in a yassl build. Since we don't use yassl in Red Hat/
-Fedora builds, I'm not feeling motivated to try to fix yassl for this.
-
-See RH bug #598656. Filed upstream at http://bugs.mysql.com/bug.php?id=54158
-
-diff --git a/vio/viosslfactories.cc b/vio/viosslfactories.cc
-index 5e881e3..2927e7f 100644
---- a/vio/viosslfactories.cc
-+++ b/vio/viosslfactories.cc
-@@ -198,7 +198,7 @@ static int vio_set_cert_stuff(SSL_CTX *ctx, const char *cert_file,
- if (!key_file && cert_file) key_file = cert_file;
-
- if (cert_file &&
-- SSL_CTX_use_certificate_file(ctx, cert_file, SSL_FILETYPE_PEM) <= 0) {
-+ SSL_CTX_use_certificate_chain_file(ctx, cert_file) <= 0) {
- *error = SSL_INITERR_CERT;
- DBUG_PRINT("error",
- ("%s from file '%s'", sslGetErrString(*error), cert_file));
|
[-]
[+]
|
Deleted |
mysql-file-contents.patch
^
|
@@ -1,45 +0,0 @@
-Upstream chooses to install INFO_SRC and INFO_BIN into the docs dir, which
-breaks at least two packaging commandments, so we put them into $libdir
-instead. That means we have to hack the file_contents regression test
-to know about this.
-
-Recommendation they change is at http://bugs.mysql.com/bug.php?id=61425
-
-diff --git a/mysql-test/t/file_contents.test b/mysql-test/t/file_contents.test
-index 75f8c93..973291c 100644
---- a/mysql-test/t/file_contents.test
-+++ b/mysql-test/t/file_contents.test
-@@ -12,7 +12,7 @@
- --perl
- print "\nChecking 'INFO_SRC' and 'INFO_BIN'\n";
- $dir_bin = $ENV{'MYSQL_BINDIR'};
--if ($dir_bin =~ m|^/usr/|) {
-+if ($dir_bin =~ m|.*/usr/$|) {
- # RPM package
- $dir_docs = $dir_bin;
- $dir_docs =~ s|/lib|/share/doc|;
-@@ -35,7 +35,7 @@ if ($dir_bin =~ m|^/usr/|) {
- }
- }
- }
--} elsif ($dir_bin =~ m|/usr$|) {
-+} elsif ($dir_bin =~ m|.*/usr$|) {
- # RPM build during development
- $dir_docs = "$dir_bin/share/doc";
- if(-d "$dir_docs/packages") {
-@@ -55,6 +55,15 @@ if ($dir_bin =~ m|^/usr/|) {
- $dir_docs = glob "$dir_bin/share/mysql-*/docs";
- }
- }
-+
-+ # All the above is entirely wacko, because these files are not docs;
-+ # they should be kept in libdir instead. mtr does not provide a nice
-+ # way to find libdir though, so we have to kluge it like this:
-+ if (-d "$dir_bin/lib64/mysql") {
-+ $dir_docs = "$dir_bin/lib64/mysql";
-+ } else {
-+ $dir_docs = "$dir_bin/lib/mysql";
-+ }
- }
- } else {
- # tar.gz package, Windows, or developer work (in git)
|
[-]
[+]
|
Deleted |
mysql-install-test.patch
^
|
@@ -1,52 +0,0 @@
-Improve the documentation that will be installed in the mysql-test RPM.
-
-
-diff -Naur mysql-5.5.20.orig/mysql-test/README mysql-5.5.20/mysql-test/README
---- mysql-5.5.20.orig/mysql-test/README 2011-12-16 14:52:05.000000000 -0500
-+++ mysql-5.5.20/mysql-test/README 2012-02-10 17:06:19.531082253 -0500
-@@ -1,14 +1,26 @@
- This directory contains a test suite for the MySQL daemon. To run
--the currently existing test cases, simply execute ./mysql-test-run in
--this directory. It will fire up the newly built mysqld and test it.
-+the currently existing test cases, execute ./mysql-test-run in
-+this directory.
-
--Note that you do not have to have to do "make install", and you could
--actually have a co-existing MySQL installation. The tests will not
--conflict with it.
--
--All tests must pass. If one or more of them fail on your system, please
--read the following manual section for instructions on how to report the
--problem:
-+For use in Red Hat distributions, you should run the script as user mysql,
-+so the best bet is something like
-+ cd /usr/share/mysql-test
-+ sudo -u mysql ./mysql-test-run --skip-test-list=platform-specific-tests.list
-+This will use the installed mysql executables, but will run a private copy
-+of the server process (using data files within /usr/share/mysql-test),
-+so you need not start the mysqld service beforehand.
-+
-+The "--skip-test-list=platform-specific-tests.list" option excludes tests that are
-+known to fail on one or more Red-Hat-supported platforms. You can omit it
-+if you want to check whether such failures occur for you. Documentation
-+about the reasons for omitting such tests can be found in the file
-+platform-specific-tests.list.
-+
-+To clean up afterwards, remove the created "var" subdirectory, eg
-+ sudo -u mysql rm -rf /usr/share/mysql-test/var
-+
-+If one or more tests fail on your system, please read the following manual
-+section for instructions on how to report the problem:
-
- http://dev.mysql.com/doc/mysql/en/mysql-test-suite.html
-
-@@ -25,7 +37,8 @@
-
- With no test cases named on the command line, mysql-test-run falls back
- to the normal "non-extern" behavior. The reason for this is that some
--tests cannot run with an external server.
-+tests cannot run with an external server (because they need to control the
-+options with which the server is started).
-
-
- You can create your own test cases. To create a test case, create a new
|
[-]
[+]
|
Deleted |
mysql-logrotate-log-path.patch
^
|
@@ -1,11 +0,0 @@
---- mysql-8.0.11/support-files/mysql-log-rotate.sh.old 2018-09-13 18:43:03.595891364 +0200
-+++ mysql-8.0.11/support-files/mysql-log-rotate.sh 2018-09-13 18:43:36.774236649 +0200
-@@ -41,7 +41,7 @@
- # ATTENTION: The /root/.my.cnf file should be readable
- # _ONLY_ by root !
-
--@localstatedir@/mysqld.log {
-+@LOG_LOCATION@ {
- # create 600 mysql mysql
- notifempty
- daily
|
[-]
[+]
|
Deleted |
mysql-paths.patch
^
|
@@ -1,77 +0,0 @@
-Some hard-coded paths make problems when package is built into chroot like
-Software Collections. Removing these hard-coded paths should fix it.
-
-Upstream report: https://mariadb.atlassian.net/browse/MDEV-6485
-
-diff --git a/cmake/install_layout.cmake b/cmake/install_layout.cmake
-index f5ac0bf2..cd3132de 100644
---- a/cmake/install_layout.cmake
-+++ b/cmake/install_layout.cmake
-@@ -114,7 +114,7 @@ IF(UNIX)
- " Choose between ${VALID_INSTALL_LAYOUTS}" )
- ENDIF()
-
-- SET(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc"
-+ SET(SYSCONFDIR "/etc"
- CACHE PATH "config directory (for my.cnf)")
- MARK_AS_ADVANCED(SYSCONFDIR)
- ENDIF()
-@@ -318,6 +318,7 @@ SET(INSTALL_SECURE_FILE_PRIVDIR_TARGZ ${secure_file_priv_path})
- #
- SET(INSTALL_BINDIR_RPM "bin")
- SET(INSTALL_SBINDIR_RPM "sbin")
-+SET(INSTALL_SYSCONFDIR_RPM "/etc")
- #
- IF(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
- SET(INSTALL_LIBDIR_RPM "lib64")
-diff --git a/mysys_ssl/my_default.cc b/mysys_ssl/my_default.cc
-index 1317e362..cfa0feb7 100644
---- a/mysys/my_default.cc
-+++ b/mysys/my_default.cc
-@@ -1570,12 +1570,12 @@ static const char **init_default_directories(MEM_ROOT *alloc) {
-
- #else
-
-- errors += add_directory(alloc, "/etc/", dirs);
-- errors += add_directory(alloc, "/etc/mysql/", dirs);
--
- #if defined(DEFAULT_SYSCONFDIR)
- if (DEFAULT_SYSCONFDIR[0])
-+ {
- errors += add_directory(alloc, DEFAULT_SYSCONFDIR, dirs);
-+ errors += add_directory(alloc, DEFAULT_SYSCONFDIR "/mysql", dirs);
-+ }
- #endif /* DEFAULT_SYSCONFDIR */
-
- #endif
-diff --git a/scripts/CMakeLists.txt b/scripts/CMakeLists.txt
-index c1202103..06a055b1 100644
---- a/scripts/CMakeLists.txt
-+++ b/scripts/CMakeLists.txt
-@@ -315,9 +315,9 @@ ENDIF(UNIX)
- ENDIF(UNIX)
-
- SET(prefix "${CMAKE_INSTALL_PREFIX}")
--SET(sysconfdir ${prefix})
-+SET(sysconfdir ${SYSCONFDIR})
- SET(bindir ${prefix}/${INSTALL_BINDIR})
--SET(libexecdir ${prefix}/${INSTALL_SBINDIR})
-+SET(libexecdir ${prefix}/${INSTALL_LIBEXECDIR})
- SET(datadir ${prefix}/${INSTALL_MYSQLSHAREDIR})
- SET(libsubdir ${INSTALL_LIBDIR})
- SET(pkgincludedir ${prefix}/${INSTALL_INCLUDEDIR})
-diff --git a/scripts/mysqld_multi.sh b/scripts/mysqld_multi.sh
-index 5ad36e7b..5dd032f2 100644
---- a/scripts/mysqld_multi.sh
-+++ b/scripts/mysqld_multi.sh
-@@ -572,9 +572,7 @@ sub list_defaults_files
-
- my %seen; # Don't list the same file more than once
- return grep { defined $_ and not $seen{$_}++ and -f $_ and -r $_ }
-- ('/etc/my.cnf',
-- '/etc/mysql/my.cnf',
-- '@sysconfdir@/my.cnf',
-+ ('@sysconfdir@/my.cnf',
- ($ENV{MYSQL_HOME} ? "$ENV{MYSQL_HOME}/my.cnf" : undef),
- $opt{'extra-file'},
- ($ENV{HOME} ? "$ENV{HOME}/.my.cnf" : undef));
|
[-]
[+]
|
Deleted |
mysql-rpath.patch
^
|
@@ -1,18 +0,0 @@
-MySQL 8.0 includes a feature that requires we set linux NICE capabilities to
-mysqld daemon. Because of that, LD_LIBRARY_PATH does not work (see
-secure-execution mode in http://man7.org/linux/man-pages/man8/ld.so.8.html).
-
-Related: #1628814
-
-diff -up mysql-8.0.12/sql/CMakeLists.txt.patchrpath mysql-8.0.12/sql/CMakeLists.txt
---- mysql-8.0.12/sql/CMakeLists.txt.patchrpath 2018-09-14 13:59:02.884021458 +0200
-+++ mysql-8.0.12/sql/CMakeLists.txt 2018-09-14 14:01:10.897983621 +0200
-@@ -711,6 +711,8 @@ ENDIF()
- MYSQL_ADD_EXECUTABLE(mysqld
- ${MYSQLD_SOURCE} DESTINATION ${INSTALL_SBINDIR} COMPONENT Server)
-
-+SET_TARGET_PROPERTIES(mysqld PROPERTIES INSTALL_RPATH "${RPATH_LIBDIR}")
-+
- OPTION(DEBUG_EXTNAME "Build server as mysqld-debug (debug builds only)" OFF)
- MARK_AS_ADVANCED(DEBUG_EXTNAME)
-
|
[-]
[+]
|
Deleted |
mysql-s390-tsc.patch
^
|
@@ -1,41 +0,0 @@
-Support s390/s390x in performance schema's cycle-counting functions.
-Filed upstream at http://bugs.mysql.com/bug.php?id=59953
-
-diff --git a/include/my_rdtsc.h b/include/my_rdtsc.h
-index 65f7df1..a28f470 100644
---- a/include/my_rdtsc.h
-+++ b/include/my_rdtsc.h
-@@ -128,5 +128,6 @@ void my_timer_init(MY_TIMER_INFO *mti);
- #define MY_TIMER_ROUTINE_GETSYSTEMTIMEASFILETIME 26
- #define MY_TIMER_ROUTINE_ASM_SUNPRO_X86_64 27
- #define MY_TIMER_ROUTINE_ASM_AARCH64 28
-+#define MY_TIMER_ROUTINE_ASM_S390 29
-
- #endif
-diff --git a/mysys/my_rdtsc.cc b/mysys/my_rdtsc.cc
-index ec8e855..c3408b1 100644
---- a/mysys/my_rdtsc.cc
-+++ b/mysys/my_rdtsc.cc
-@@ -204,6 +204,13 @@ ulonglong my_timer_cycles(void) {
- __asm __volatile__("mrs %[rt],cntvct_el0" : [ rt ] "=r"(result));
- return result;
- }
-+#elif defined(__GNUC__) && defined(__s390__)
-+ /* covers both s390 and s390x */
-+ {
-+ ulonglong result;
-+ __asm__ __volatile__ ("stck %0" : "=Q" (result) : : "cc");
-+ return result;
-+ }
- #elif defined(HAVE_SYS_TIMES_H) && defined(HAVE_GETHRTIME)
- /* gethrtime may appear as either cycle or nanosecond counter */
- return (ulonglong)gethrtime();
-@@ -505,6 +512,8 @@ void my_timer_init(MY_TIMER_INFO *mti) {
- mti->cycles.routine = MY_TIMER_ROUTINE_ASM_GCC_SPARC32;
- #elif defined(__GNUC__) && defined(__aarch64__)
- mti->cycles.routine = MY_TIMER_ROUTINE_ASM_AARCH64;
-+#elif defined(__GNUC__) && defined(__s390__)
-+ mti->cycles.routine = MY_TIMER_ROUTINE_ASM_S390;
- #elif defined(HAVE_SYS_TIMES_H) && defined(HAVE_GETHRTIME)
- mti->cycles.routine = MY_TIMER_ROUTINE_GETHRTIME;
- #else
|
[-]
[+]
|
Deleted |
mysql-scl-env-check.patch
^
|
@@ -1,144 +0,0 @@
-diff -up mysql-8.0.11/scripts/mysqld_safe.sh.p90 mysql-8.0.11/scripts/mysqld_safe.sh
---- mysql-8.0.11/scripts/mysqld_safe.sh.p90 2018-04-08 08:44:49.000000000 +0200
-+++ mysql-8.0.11/scripts/mysqld_safe.sh 2018-06-23 21:28:20.533825845 +0200
-@@ -11,6 +11,12 @@
- # mysql.server works by first doing a cd to the base directory and from there
- # executing mysqld_safe
-
-+# we want start daemon only inside "scl enable" invocation
-+if ! scl_enabled @SCL_NAME@ ; then
-+ echo "Use \"scl enable @SCL_NAME@ 'service ...'\" invocation"
-+ exit 1
-+fi
-+
- # Initialize script globals
- KILL_MYSQLD=1;
- MYSQLD=
-diff -up mysql-8.0.11/scripts/mysql.init.in.p90 mysql-8.0.11/scripts/mysql.init.in
---- mysql-8.0.11/scripts/mysql.init.in.p90 2018-06-23 21:28:20.531825833 +0200
-+++ mysql-8.0.11/scripts/mysql.init.in 2018-06-23 21:28:20.533825845 +0200
-@@ -71,8 +71,8 @@ start(){
- action $"Starting $prog: " /bin/true
- ret=0
- else
-- @libexecdir@/mysql-check-socket || return 1
-- su - $MYUSER -s /bin/bash -c "@libexecdir@/mysql-prepare-db-dir $MYUSER $MYGROUP" || return 4
-+ scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-check-socket || return 1
-+ su - $MYUSER -s /bin/bash -c "scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-prepare-db-dir $MYUSER $MYGROUP" || return 4
-
- # Pass all the options determined above, to ensure consistent behavior.
- # In many cases mysqld_safe would arrive at the same conclusions anyway
-@@ -81,13 +81,13 @@ start(){
- # and some users might prefer to configure logging to syslog.)
- # Note: set --basedir to prevent probes that might trigger SELinux
- # alarms, per bug #547485
-- su - $MYUSER -s /bin/bash -c "$exec --datadir='$datadir' --socket='$socketfile' \
-+ su - $MYUSER -s /bin/bash -c "scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- $exec --datadir='$datadir' --socket='$socketfile' \
- --pid-file='$pidfile' \
- --basedir=@prefix@ --user=$MYUSER" >/dev/null 2>&1 &
- safe_pid=$!
-
- # Wait until the daemon is up
-- su - $MYUSER -s /bin/bash -c "@libexecdir@/mysql-wait-ready '$safe_pid'"
-+ su - $MYUSER -s /bin/bash -c "scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-wait-ready '$safe_pid'"
- ret=$?
-
- if [ $ret -eq 0 ]; then
-@@ -154,6 +154,18 @@ condrestart(){
- [ -e $lockfile ] && restart || :
- }
-
-+# We have to re-enable SCL environment, because /sbin/service
-+# clears almost all environment variables.
-+# Since X_SCLS is cleared as well, we lose information about other
-+# collections enabled.
-+source @SCL_SCRIPTS@/service-environment
-+source scl_source enable $@SCL_NAME_UPPER@_SCLS_ENABLED
-+
-+# we want start daemon only inside "scl enable" invocation
-+if ! scl_enabled @SCL_NAME@ ; then
-+ echo "Collection @SCL_NAME@ has to be listed in @SCL_SCRIPTS@/service-environment"
-+ exit 1
-+fi
-
- # See how we were called.
- case "$1" in
-diff -up mysql-8.0.11/scripts/mysql.service.in.p90 mysql-8.0.11/scripts/mysql.service.in
---- mysql-8.0.11/scripts/mysql.service.in.p90 2018-06-23 21:28:20.531825833 +0200
-+++ mysql-8.0.11/scripts/mysql.service.in 2018-06-23 21:34:19.940881913 +0200
-@@ -32,16 +32,23 @@ After=network.target
-
- [Service]
- Type=notify
-+NotifyAccess=all
- User=mysql
- Group=mysql
-
--ExecStartPre=@libexecdir@/mysql-check-socket
--ExecStartPre=@libexecdir@/mysql-prepare-db-dir %n
-+# Load collections set to enabled for this service
-+EnvironmentFile=@SCL_SCRIPTS@/service-environment
-+
-+# We want to start server only inside "scl enable" invocation
-+ExecStartPre=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- /usr/bin/scl_enabled @SCL_NAME@
-+
-+ExecStartPre=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-check-socket
-+ExecStartPre=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-prepare-db-dir %n
- # Note: we set --basedir to prevent probes that might trigger SELinux alarms,
- # per bug #547485
--ExecStart=@libexecdir@/mysqld --basedir=@prefix@
--ExecStartPost=@libexecdir@/mysql-check-upgrade
--ExecStopPost=@libexecdir@/mysql-wait-stop
-+ExecStart=@libexecdir@/mysqld-scl-helper enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysqld --basedir=@prefix@
-+ExecStartPost=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-check-upgrade
-+ExecStopPost=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-wait-stop
-
- # Give a reasonable amount of time for the server to start up/shut down
- TimeoutSec=300
-diff -up mysql-8.0.11/scripts/mysql@.service.in.p90 mysql-8.0.11/scripts/mysql@.service.in
---- mysql-8.0.11/scripts/mysql@.service.in.p90 2018-06-23 21:28:20.531825833 +0200
-+++ mysql-8.0.11/scripts/mysql@.service.in 2018-06-23 21:34:30.583942800 +0200
-@@ -32,16 +32,23 @@ After=network.target
-
- [Service]
- Type=notify
-+NotifyAccess=all
- User=mysql
- Group=mysql
-
--ExecStartPre=@libexecdir@/mysql-check-socket --defaults-group-suffix=.%I
--ExecStartPre=@libexecdir@/mysql-prepare-db-dir --defaults-group-suffix=.%I %n
-+# Load collections set to enabled for this service
-+EnvironmentFile=@SCL_SCRIPTS@/service-environment
-+
-+# We want to start server only inside "scl enable" invocation
-+ExecStartPre=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- /usr/bin/scl_enabled @SCL_NAME@
-+
-+ExecStartPre=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-check-socket --defaults-group-suffix=.%I
-+ExecStartPre=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-prepare-db-dir --defaults-group-suffix=.%I %n
- # Note: we set --basedir to prevent probes that might trigger SELinux alarms,
- # per bug #547485
--ExecStart=@libexecdir@/mysqld --defaults-group-suffix=.%I --basedir=@prefix@
--ExecStartPost=@libexecdir@/mysql-check-upgrade --defaults-group-suffix=.%I
--ExecStopPost=@libexecdir@/mysql-wait-stop --defaults-group-suffix=.%I
-+ExecStart=@libexecdir@/mysqld-scl-helper enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysqld --defaults-group-suffix=.%I --basedir=@prefix@
-+ExecStartPost=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-check-upgrade --defaults-group-suffix=.%I
-+ExecStopPost=/usr/bin/scl enable $@SCL_NAME_UPPER@_SCLS_ENABLED -- @libexecdir@/mysql-wait-stop --defaults-group-suffix=.%I
-
- # Give a reasonable amount of time for the server to start up/shut down
- TimeoutSec=300
-diff -up mysql-8.0.11/support-files/mysql-log-rotate.sh.p90 mysql-8.0.11/support-files/mysql-log-rotate.sh
---- mysql-8.0.11/support-files/mysql-log-rotate.sh.p90 2018-04-08 08:44:49.000000000 +0200
-+++ mysql-8.0.11/support-files/mysql-log-rotate.sh 2018-06-23 21:28:20.533825845 +0200
-@@ -51,9 +51,9 @@
- postrotate
- # just if mysqld is really running
- if test -x @bindir@/mysqladmin && \
-- @bindir@/mysqladmin ping &>/dev/null
-+ /usr/bin/scl enable @SCL_NAME@ -- @bindir@/mysqladmin ping &>/dev/null
- then
-- @bindir@/mysqladmin flush-logs
-+ /usr/bin/scl enable @SCL_NAME@ -- @bindir@/mysqladmin flush-logs
- fi
- endscript
- }
|
[-]
[+]
|
Deleted |
mysql-scripts.patch
^
|
@@ -1,39 +0,0 @@
-diff -rup mysql-5.7.8.orig/scripts/CMakeLists.txt mysql-5.7.8/scripts/CMakeLists.txt
---- mysql-5.7.8.orig/scripts/CMakeLists.txt 2015-07-20 14:25:08.000000000 +0200
-+++ mysql-5.7.8/scripts/CMakeLists.txt 2015-09-24 10:47:01.733914088 +0200
-@@ -483,6 +483,35 @@ ELSE()
- PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
- )
- ENDIF()
-+
-+ # files for systemd
-+ SET(SYSTEMD_SCRIPTS
-+ mysql.tmpfiles.d
-+ mysql.service
-+ mysql@.service
-+ mysql-prepare-db-dir
-+ mysql-wait-ready
-+ mysql-wait-stop
-+ mysql-check-socket
-+ mysql-check-upgrade
-+ mysql-scripts-common
-+ mysql_config_multilib
-+ mysql.init
-+ my.cnf
-+ server.cnf
-+ )
-+ FOREACH(file ${SYSTEMD_SCRIPTS})
-+ IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.sh)
-+ CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/${file}.sh
-+ ${CMAKE_CURRENT_BINARY_DIR}/${file} ESCAPE_QUOTES @ONLY)
-+ ELSEIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${file}.in)
-+ CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/${file}.in
-+ ${CMAKE_CURRENT_BINARY_DIR}/${file} ESCAPE_QUOTES @ONLY)
-+ ELSE()
-+ MESSAGE(FATAL_ERROR "Can not find ${file}.sh or ${file}.in in "
-+ "${CMAKE_CURRENT_SOURCE_DIR}" )
-+ ENDIF()
-+ ENDFOREACH()
- ENDIF()
-
- # Install libgcc as mylibgcc.a
|
[-]
[+]
|
Deleted |
mysql-sharedir.patch
^
|
@@ -1,27 +0,0 @@
-diff --git a/mysql-test/CMakeLists.txt b/mysql-test/CMakeLists.txt
-index 1eb22c37..e200d4eb 100644
---- a/mysql-test/CMakeLists.txt
-+++ b/mysql-test/CMakeLists.txt
-@@ -56,6 +56,9 @@ INSTALL(
- ENDIF()
-
-
-+# Expand some paths in the perl script correctly
-+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/mysql-test-run.pl ${CMAKE_CURRENT_SOURCE_DIR}/mysql-test-run.pl @ONLY)
-+
- IF(NOT ${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
- # Enable running mtr from build directory
- FIND_PROGRAM(PERL_EXECUTABLE perl
-diff --git a/mysql-test/mysql-test-run.pl b/mysql-test/mysql-test-run.pl
-index 05a504da..9cdc2cda 100755
---- a/mysql-test/mysql-test-run.pl
-+++ b/mysql-test/mysql-test-run.pl
-@@ -1626,7 +1626,7 @@ sub command_line_setup {
- my $path_share = $path_language;
-
- @share_locations =
-- ("share/mysql-" . $mysql_base_version, "share/mysql", "share");
-+ ("@INSTALL_MYSQLSHAREDIR@", "share/mysql-" . $mysql_base_version, "share/mysql", "share");
-
- $path_charsetsdir = my_find_dir($basedir, \@share_locations, "charsets");
-
|
[-]
[+]
|
Deleted |
README.mysql-docs
^
|
@@ -1,4 +0,0 @@
-The official MySQL documentation is not freely redistributable, so we cannot
-include it in RHEL or Fedora. You can find it on-line at
-
-http://dev.mysql.com/doc/
|
[-]
[+]
|
Deleted |
README.mysql-license
^
|
@@ -1,9 +0,0 @@
-MySQL is distributed under GPL v2, but there are some licensing exceptions
-that allow the client libraries to be linked with a non-GPL application,
-so long as the application is under a license approved by Oracle.
-For details see
-
-http://www.mysql.com/about/legal/licensing/foss-exception/
-
-Some innobase code from Percona and Google is under BSD license.
-Some code related to test-suite is under LGPLv2.
|
[-]
[+]
|
Deleted |
daemon-scl-helper.sh
^
|
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-# This helper script is necessary for having proper SELinux context of daemon
-# process run in SCL environment via systemd unit file.
-# Without this script the process looses SELinux type because /usr/bin/scl
-# has context bin_t and unit_t -> bin_t results in unconfined process running.
-# If this helper script has the same SELinux context as the original binary,
-# the process will have proper SELinux context.
-#
-# This script was designed to be usable the same as the scl command is used,
-# including the collections given as more arguments, separated from binary
-# itself by -- separator.
-# So it is possible to use the list of collections to be enabled via
-# environment file.
-# Thus, instead of:
-# /usr/bin/scl enable scl1 scl2 -- /path/to/bin arg1 arg2
-# you can use:
-# /usr/bin/this-script enable scl1 scl2 -- /path/to/bin arg1 arg2
-#
-# Notice: do not forget to set proper SELinux context for this file.
-# The context should be the same as the binary running has.
-#
-# More information at http://bugzilla.redhat.com/show_bug.cgi?id=1172683
-
-action="$1"
-shift
-
-while [ -n "$1" ] && [ "$1" != "--" ] ; do
- source scl_source "$action" "$1"
- shift
-done
-
-if [ $# -le 2 ] ; then
- echo "Usage `basename $0` enable sclname [sclname ...] -- /path/to/bin [arg ...]" >&2
- exit 1
-fi
-
-shift
-
-exec "$@"
-
-
-
|
[-]
[+]
|
Deleted |
default-authentication-plugin.cnf
^
|
@@ -1,12 +0,0 @@
-#
-# MySQL 8.0.4 introduced 'caching_sha2_password' as its default authentication plugin.
-# It is faster and provides better security then the previous default authentication plugin.
-#
-# Until now (09/2018), it does not work with some other software (eg. MariaDB client, MariaDB connectors, ...)
-#
-# This configuration file changes MySQL default server configuration, so it behaves the same way as in MySQL 5.7.
-#
-# To change the behaviour back to the upstream default, comment out the following lines:
-
-[mysqld]
-default_authentication_plugin=mysql_native_password
|
[-]
[+]
|
Deleted |
my.cnf.in
^
|
@@ -1,16 +0,0 @@
-#
-# This group is read both both by the client and the server
-# use it for options that affect everything
-#
-[client-server]
-
-#
-# This group is read by the server
-#
-[mysqld]
-
-#
-# include all files from the config directory
-#
-!includedir @SYSCONF2DIR@
-
|
[-]
[+]
|
Deleted |
mysql-5.6.10-rpmlintrc
^
|
@@ -1,48 +0,0 @@
-# Filtered out until upstream fixes them
-# Upstream bug: http://bugs.mysql.com/68518
-addFilter("incorrect-fsf-address")
-
-# Done to avoid _prefix/lib64/tmpfiles.d
-addFilter("E: hardcoded-library-path in %\{_prefix\}/lib/tmpfiles.d")
-
-# Keeping the old summary for now
-addFilter("W: name-repeated-in-summary C MySQL")
-
-# Spellchecked
-addFilter("W: spelling-error %description -l en_US multi -> mulch, mufti")
-addFilter("W: spelling-error %description -l en_US benchmarking -> bench marking, bench-marking, benchmark")
-addFilter("W: spelling-error Summary(en_US) embeddable -> embedded")
-addFilter("W: spelling-error.*embeddable -> embedded")
-
-# As long as the manual is part of the original tarball, we have do to
-# this
-addFilter("mysql.src: W: invalid-url Source0: mysql-5.6.[0-9]+-nodocs.tar.gz")
-
-# Leave the logfile where it is for now
-addFilter("E: non-root-user-log-file /var/log/mysqld.log mysql")
-addFilter("E: non-root-group-log-file /var/log/mysqld.log mysql")
-addFilter("E: non-ghost-file /var/log/mysqld.log")
-addFilter("E: zero-length /var/log/mysqld.log")
-
-addFilter("E: incoherent-logrotate-file /etc/logrotate.d/mysqld")
-
-# Hidden files and zero lenght files is normal for some tests
-addFilter("W: hidden-file-or-dir /usr/share/mysql-test/std_data/.mylogin.cnf")
-addFilter("E: zero-length /usr/share/mysql-test/suite/parts/t/disabled.def")
-addFilter("E: zero-length /usr/share/mysql-test/std_data/bug37631.MYD")
-addFilter("E: zero-length /usr/share/mysql-test/std_data/cluster_7022_table.MYD")
-addFilter("E: zero-length /usr/share/mysql-test/collections/disabled-weekly.list")
-addFilter("E: zero-length /usr/share/mysql-test/collections/disabled-daily.list")
-
-# debuginfo bug?
-addFilter("E: non-standard-dir-perm /usr/src/debug/tmp 01777")
-
-# mysql-config *script* in lib
-addFilter("W: only-non-binary-in-usr-lib")
-
-# missing
-addFilter("W: no-manual-page-for-binary my_safe_process")
-
-# cluster is gone
-addFilter("W: obsolete-not-provided mysql-cluster")
-
|
|
Deleted |
mysql-boost-8.0.17.tar.gz
^
|
[-]
[+]
|
Deleted |
mysql-check-socket.sh
^
|
@@ -1,39 +0,0 @@
-#!/bin/sh
-
-# We check if there is already a process using the socket file,
-# since otherwise the systemd service file could report false
-# positive result when starting and mysqld_safe could remove
-# a socket file, which is actually being used by a different daemon.
-
-source "`dirname ${BASH_SOURCE[0]}`/mysql-scripts-common"
-
-if test -e "$socketfile" ; then
- echo "Socket file $socketfile exists." >&2
-
- # no write permissions
- if ! test -w "$socketfile" ; then
- echo "Not enough permission to write to the socket file $socketfile, which is suspicious." >&2
- echo "Please, remove $socketfile manually to start the service." >&2
- exit 1
- fi
-
- # not a socket file
- if ! test -S "$socketfile" ; then
- echo "The file $socketfile is not a socket file, which is suspicious." >&2
- echo "Please, remove $socketfile manually to start the service." >&2
- exit 1
- fi
-
- # some process uses the socket file
- if fuser "$socketfile" &>/dev/null ; then
- socketpid=$(fuser "$socketfile" 2>/dev/null)
- echo "Is another MySQL daemon already running with the same unix socket?" >&2
- echo "Please, stop the process $socketpid or remove $socketfile manually to start the service." >&2
- exit 1
- fi
-
- # socket file is a garbage
- echo "No process is using $socketfile, which means it is a garbage, so it will be removed automatically." >&2
-fi
-
-exit 0
|
[-]
[+]
|
Deleted |
mysql-check-upgrade.sh
^
|
@@ -1,39 +0,0 @@
-#!/bin/sh
-
-source "`dirname ${BASH_SOURCE[0]}`/mysql-scripts-common"
-
-upgrade_info_file="$datadir/mysql_upgrade_info"
-version=0
-# get version as integer from mysql_upgrade_info file
-if [ -f "$upgrade_info_file" ] && [ -r "$upgrade_info_file" ] ; then
- version_major=$(cat "$upgrade_info_file" | head -n 1 | sed -e 's/\([0-9]*\)\.\([0-9]*\)\..*$/\1/')
- version_minor=$(cat "$upgrade_info_file" | head -n 1 | sed -e 's/\([0-9]*\)\.\([0-9]*\)\..*$/\2/')
- if [[ $version_major =~ ^[0-9]+$ ]] && [[ $version_minor =~ ^[0-9]+$ ]] ; then
- version=$((version_major*100+version_minor))
- fi
-fi
-
-# compute current version as integer
-thisversion=$((@MAJOR_VERSION@*100+@MINOR_VERSION@))
-
-# provide warning in cases we should run mysql_upgrade
-if [ $version -ne $thisversion ] ; then
-
- # give extra warning if some version seems to be skipped
- if [ $version -gt 0 ] && [ $version -lt 505 ] ; then
- echo "The datadir located at $datadir seems to be older than of a version 5.5. Please, mind that as a general rule, to upgrade from one release series to another, go to the next series rather than skipping a series." >&2
- fi
-
- cat <<EOF >&2
-The datadir located at $datadir needs to be upgraded using 'mysql_upgrade' tool. This can be done using the following steps:
-
- 1. Back-up your data before with 'mysql_upgrade'
- 2. Start the database daemon using 'service @DAEMON_NAME@ start'
- 3. Run 'mysql_upgrade' with a database user that has sufficient privileges
-
-Read more about 'mysql_upgrade' usage at:
-http://dev.mysql.com/doc/refman/5.6/en/mysql-upgrade.html
-EOF
-fi
-
-exit 0
|
[-]
[+]
|
Deleted |
mysql-prepare-db-dir.sh
^
|
@@ -1,112 +0,0 @@
-#!/bin/sh
-
-# This script creates the mysql data directory during first service start.
-# In subsequent starts, it does nothing much.
-#
-# This script is meant to be run as non-root user either during initscript
-# or systemd service execution, before starting the mysqld daemon.
-# Running it as root may have some security risks, because it touches files
-# that can be symlinks pointing to unexpected locations.
-#
-# On the other hand, when using non-standard locations for datadir and logfile,
-# this script might not be able to create the files and the daemon won't start
-# properly. A solution for that is to created the locations for datadir and
-# logfile with correct ownership before starting the daemon.
-
-source "`dirname ${BASH_SOURCE[0]}`/mysql-scripts-common"
-
-# If two args given first is user, second is group
-# otherwise the arg is the systemd service file
-if [ "$#" -eq 2 ]
-then
- myuser="$1"
- mygroup="$2"
-else
- # Absorb configuration settings from the specified systemd service file,
- # or the default service if not specified
- SERVICE_NAME="$1"
- if [ x"$SERVICE_NAME" = x ]
- then
- SERVICE_NAME=@DAEMON_NAME@.service
- fi
-
- myuser=`systemctl show -p User "${SERVICE_NAME}" |
- sed 's/^User=//'`
- if [ x"$myuser" = x ]
- then
- myuser=mysql
- fi
-
- mygroup=`systemctl show -p Group "${SERVICE_NAME}" |
- sed 's/^Group=//'`
- if [ x"$mygroup" = x ]
- then
- mygroup=mysql
- fi
-fi
-
-# Set up the errlogfile with appropriate permissions
-if [ ! -e "$errlogfile" -a ! -h "$errlogfile" -a x$(dirname "$errlogfile") = "x/var/log" ]; then
- case $(basename "$errlogfile") in
- mysql*.log|mariadb*.log) install /dev/null -m0640 -o$myuser -g$mygroup "$errlogfile" ;;
- *) ;;
- esac
-else
- # Provide some advice if the log file cannot be created by this script
- errlogdir=$(dirname "$errlogfile")
- if ! [ -d "$errlogdir" ] ; then
- echo "The directory $errlogdir does not exist."
- exit 1
- elif [ -e "$errlogfile" -a ! -w "$errlogfile" ] ; then
- echo "The log file $errlogfile cannot be written, please, fix its permissions."
- echo "The daemon will be run under $myuser:$mygroup"
- exit 1
- fi
-fi
-
-
-
-export LC_ALL=C
-
-# Returns content of the specified directory
-# If listing files fails, fake-file is returned so which means
-# we'll behave like there was some data initialized
-# Some files or directories are fine to be there, so those are
-# explicitly removed from the listing
-# @param <dir> datadir
-list_datadir ()
-{
- ( ls -1A "$1" 2>/dev/null || echo "fake-file" ) | grep -v \
- -e '^lost+found$' \
- -e '\.err$' \
- -e '^\.bash_history$'
-}
-
-# Checks whether datadir should be initialized
-# @param <dir> datadir
-should_initialize ()
-{
- test -z "$(list_datadir "$1")"
-}
-
-# Make the data directory if doesn't exist or empty
-if should_initialize "$datadir" ; then
-
- # Now create the database
- echo "Initializing @NICE_PROJECT_NAME@ database"
- @libexecdir@/mysqld --initialize-insecure --datadir="$datadir" --user="$myuser"
- ret=$?
- if [ $ret -ne 0 ] ; then
- echo "Initialization of @NICE_PROJECT_NAME@ database failed." >&2
- echo "Perhaps @sysconfdir@/my.cnf is misconfigured." >&2
- # Clean up any partially-created database files
- if [ ! -e "$datadir/mysql/user.frm" ] ; then
- rm -rf "$datadir"/*
- fi
- exit $ret
- fi
- # upgrade does not need to be run on a fresh datadir
- echo "@VERSION@" >"$datadir/mysql_upgrade_info"
-fi
-
-exit 0
|
[-]
[+]
|
Deleted |
mysql-scripts-common.sh
^
|
@@ -1,68 +0,0 @@
-#!/bin/sh
-
-# Some useful functions used in other MySQL helper scripts
-# This scripts defines variables datadir, errlogfile, socketfile
-
-export LC_ALL=C
-
-# extract value of a MySQL option from config files
-# Usage: get_mysql_option VARNAME DEFAULT SECTION [ SECTION, ... ]
-# result is returned in $result
-# We use my_print_defaults which prints all options from multiple files,
-# with the more specific ones later; hence take the last match.
-get_mysql_option(){
- if [ $# -ne 3 ] ; then
- echo "get_mysql_option requires 3 arguments: section option default_value"
- return
- fi
- sections="$1"
- option_name="$2"
- default_value="$3"
- result=`@bindir@/my_print_defaults $my_print_defaults_extra_args $sections | sed -n "s/^--${option_name}=//p" | tail -n 1`
- if [ -z "$result" ]; then
- # not found, use default
- result="${default_value}"
- fi
-}
-
-# For the case of running more instances via systemd, scrits that source
-# this file can get --default-group-suffix or similar option as the first
-# argument. The utility my_print_defaults needs to use it as well, so the
-# scripts sourcing this file work with the same options as the daemon.
-my_print_defaults_extra_args=''
-while echo "$1" | grep -q '^--defaults' ; do
- my_print_defaults_extra_args="${my_print_defaults_extra_args} $1"
- shift
-done
-
-# Defaults here had better match what mysqld_safe will default to
-# The option values are generally defined on three important places
-# on the default installation:
-# 1) default values are hardcoded in the code of mysqld daemon or
-# mysqld_safe script
-# 2) configurable values are defined in @sysconfdir@/my.cnf
-# 3) default values for helper scripts are specified bellow
-# So, in case values are defined in my.cnf, we need to get that value.
-# In case they are not defined in my.cnf, we need to get the same value
-# in the daemon, as in the helper scripts. Thus, default values here
-# must correspond with values defined in mysqld_safe script and source
-# code itself.
-
-server_sections="mysqld_safe mysqld server mysqld-@MAJOR_VERSION@.@MINOR_VERSION@ client-server"
-
-get_mysql_option "$server_sections" datadir "@MYSQL_DATADIR@"
-datadir="$result"
-
-# if there is log_error in the my.cnf, my_print_defaults still
-# returns log-error
-# log-error might be defined in mysqld_safe and mysqld sections,
-# the former has bigger priority
-get_mysql_option "$server_sections" log-error "$datadir/`hostname`.err"
-errlogfile="$result"
-
-get_mysql_option "$server_sections" socket "@MYSQL_UNIX_ADDR@"
-socketfile="$result"
-
-get_mysql_option "$server_sections" pid-file "$datadir/`hostname`.pid"
-pidfile="$result"
-
|
[-]
[+]
|
Deleted |
mysql-sysnice.te
^
|
@@ -1,10 +0,0 @@
-
-module mysql-sysnice 1.0;
-
-require {
- type mysqld_t;
- class capability sys_nice;
-}
-
-#============= mysqld_t ==============
-allow mysqld_t self:capability sys_nice;
|
[-]
[+]
|
Deleted |
mysql-wait-ready.sh
^
|
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-source "`dirname ${BASH_SOURCE[0]}`/mysql-scripts-common"
-
-# This script waits for mysqld to be ready to accept connections
-# (which can be many seconds or even minutes after launch, if there's
-# a lot of crash-recovery work to do).
-# Running this as ExecStartPost is useful so that services declared as
-# "After mysqld" won't be started until the database is really ready.
-
-if [ $# -ne 1 ] ; then
- echo "You need to pass daemon pid as an argument for this script."
- exit 20
-fi
-
-# Service file passes us the daemon's PID (actually, mysqld_safe's PID)
-daemon_pid="$1"
-
-# Wait for the server to come up or for the mysqld process to disappear
-ret=0
-while /bin/true; do
- # Check process still exists
- if ! [ -d "/proc/${daemon_pid}" ] ; then
- ret=1
- break
- fi
- RESPONSE=`@bindir@/mysqladmin --no-defaults --socket="$socketfile" --user=UNKNOWN_MYSQL_USER ping 2>&1`
- mret=$?
- if [ $mret -eq 0 ] ; then
- break
- fi
- # exit codes 1, 11 (EXIT_CANNOT_CONNECT_TO_SERVICE) are expected,
- # anything else suggests a configuration error
- if [ $mret -ne 1 -a $mret -ne 11 ]; then
- echo "Cannot check for @NICE_PROJECT_NAME@ Daemon startup because of mysqladmin failure." >&2
- ret=$mret
- break
- fi
- # "Access denied" also means the server is alive
- echo "$RESPONSE" | grep -q "Access denied for user" && break
-
- sleep 1
-done
-
-exit $ret
|
[-]
[+]
|
Deleted |
mysql-wait-stop.sh
^
|
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-source "`dirname ${BASH_SOURCE[0]}`/mysql-scripts-common"
-
-# This script waits for mysqld to be properly stopped
-# (which can be many seconds in some large load).
-# Running this as ExecStopPost is useful so that starting which is done
-# as part of restart doesn't see the former process still running.
-
-# Wait for the server to properly end the main server
-ret=0
-TIMEOUT=60
-SECONDS=0
-
-if ! [ -f "$pidfile" ]; then
- exit 0
-fi
-
-MYSQLPID=`cat "$pidfile" 2>/dev/null`
-if [ -z "$MYSQLPID" ] ; then
- exit 2
-fi
-
-while /bin/true; do
- # Check process still exists
- if ! [ -d "/proc/${MYSQLPID}" ] ; then
- break
- fi
- if [ $SECONDS -gt $TIMEOUT ] ; then
- ret=3
- break
- fi
- sleep 1
-done
-
-exit $ret
|
[-]
[+]
|
Deleted |
mysql.init.in
^
|
@@ -1,186 +0,0 @@
-#!/bin/sh
-#
-# @DAEMON_NAME@ This shell script takes care of starting and stopping
-# the MySQL subsystem (mysqld).
-#
-# chkconfig: - 64 36
-# description: MySQL database server.
-# processname: mysqld
-# config: @sysconfdir@/my.cnf
-# pidfile: /var/run/@DAEMON_NAME@/@DAEMON_NO_PREFIX@.pid
-### BEGIN INIT INFO
-# Provides: mysqld
-# Required-Start: $local_fs $remote_fs $network $named $syslog $time
-# Required-Stop: $local_fs $remote_fs $network $named $syslog $time
-# Short-Description: start and stop MySQL server
-# Description: MySQL database server
-### END INIT INFO
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-# Source networking configuration.
-. /etc/sysconfig/network
-
-
-exec="@bindir@/mysqld_safe"
-prog="@DAEMON_NAME@"
-
-# Set timeouts here so they can be overridden from @sysconfdir@/sysconfig/@DAEMON_NO_PREFIX@
-STARTTIMEOUT=300
-STOPTIMEOUT=60
-
-# User and group the daemon will run under
-MYUSER=mysql
-MYGROUP=mysql
-
-# Edit the following file in order to re-write some of the environment
-# variables defined above, like $STARTTIMEOUT, $STOPTIMEOUT, $exec
-[ -e @sysconfdir@/sysconfig/@DAEMON_NO_PREFIX@ ] && . @sysconfdir@/sysconfig/@DAEMON_NO_PREFIX@
-
-lockfile=/var/lock/subsys/$prog
-
-# get options from my.cnf
-source "@libexecdir@/mysql-scripts-common"
-
-start(){
- [ -x $exec ] || exit 5
-
- # check permissions
- if ! touch $(dirname $socketfile) &>/dev/null ; then
- action $"Starting $prog: " /bin/false
- return 4
- fi
-
- # check to see if it's already running
- MYSQLDRUNNING=0
- if [ -f "$pidfile" ]; then
- MYSQLPID=`cat "$pidfile" 2>/dev/null`
- if [ -n "$MYSQLPID" ] && [ -d "/proc/$MYSQLPID" ] ; then
- MYSQLDRUNNING=1
- fi
- fi
- RESPONSE=`@bindir@/mysqladmin --no-defaults --socket="$socketfile" --user=UNKNOWN_MYSQL_USER ping 2>&1`
- if [ $MYSQLDRUNNING = 1 ] && [ $? = 0 ]; then
- # already running, do nothing
- action $"Starting $prog: " /bin/true
- ret=0
- elif [ $MYSQLDRUNNING = 1 ] && echo "$RESPONSE" | grep -q "Access denied for user"
- then
- # already running, do nothing
- action $"Starting $prog: " /bin/true
- ret=0
- else
- @libexecdir@/mysql-check-socket || return 1
- su - $MYUSER -s /bin/bash -c "@libexecdir@/mysql-prepare-db-dir $MYUSER $MYGROUP" || return 4
-
- # Pass all the options determined above, to ensure consistent behavior.
- # In many cases mysqld_safe would arrive at the same conclusions anyway
- # but we need to be sure. (An exception is that we don't force the
- # log-error setting, since this script doesn't really depend on that,
- # and some users might prefer to configure logging to syslog.)
- # Note: set --basedir to prevent probes that might trigger SELinux
- # alarms, per bug #547485
- su - $MYUSER -s /bin/bash -c "$exec --datadir='$datadir' --socket='$socketfile' \
- --pid-file='$pidfile' \
- --basedir=@prefix@ --user=$MYUSER" >/dev/null 2>&1 &
- safe_pid=$!
-
- # Wait until the daemon is up
- su - $MYUSER -s /bin/bash -c "@libexecdir@/mysql-wait-ready '$safe_pid'"
- ret=$?
-
- if [ $ret -eq 0 ]; then
- action $"Starting $prog: " /bin/true
- chmod o+r $pidfile >/dev/null 2>&1
- touch $lockfile
- else
- action $"Starting $prog: " /bin/false
- fi
- fi
- return $ret
-}
-
-stop(){
- if [ ! -f "$pidfile" ]; then
- # not running; per LSB standards this is "ok"
- action $"Stopping $prog: " /bin/true
- return 0
- fi
- MYSQLPID=`cat "$pidfile" 2>/dev/null`
- if [ -n "$MYSQLPID" ]; then
- if ! [ -d "/proc/$MYSQLPID" ] ; then
- # process doesn't run anymore
- action $"Stopping $prog: " /bin/true
- return 0
- fi
- /bin/kill "$MYSQLPID" >/dev/null 2>&1
- ret=$?
- if [ $ret -eq 0 ]; then
- TIMEOUT="$STOPTIMEOUT"
- while [ $TIMEOUT -gt 0 ]; do
- /bin/kill -0 "$MYSQLPID" >/dev/null 2>&1 || break
- sleep 1
- let TIMEOUT=${TIMEOUT}-1
- done
- if [ $TIMEOUT -eq 0 ]; then
- echo "Timeout error occurred trying to stop MySQL Daemon."
- ret=1
- action $"Stopping $prog: " /bin/false
- else
- rm -f $lockfile
- rm -f "$socketfile"
- action $"Stopping $prog: " /bin/true
- fi
- else
- # kill command failed, probably insufficient permissions
- action $"Stopping $prog: " /bin/false
- ret=4
- fi
- else
- # failed to read pidfile, probably insufficient permissions
- action $"Stopping $prog: " /bin/false
- ret=4
- fi
- return $ret
-}
-
-restart(){
- stop
- start
-}
-
-condrestart(){
- [ -e $lockfile ] && restart || :
-}
-
-
-# See how we were called.
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- status)
- status -p "$pidfile" $prog
- ;;
- restart)
- restart
- ;;
- condrestart|try-restart)
- condrestart
- ;;
- reload)
- exit 3
- ;;
- force-reload)
- restart
- ;;
- *)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
- exit 2
-esac
-
-exit $?
|
[-]
[+]
|
Deleted |
mysql.service.in
^
|
@@ -1,63 +0,0 @@
-# It's not recommended to modify this file in-place, because it will be
-# overwritten during package upgrades. If you want to customize, the
-# best way is to use systemctl edit:
-#
-# $ systemctl edit @DAEMON_NAME@.service
-#
-# this will create file
-#
-# /etc/systemd/system/@DAEMON_NAME@.service.d/override.conf
-#
-# which be parsed after the file @DAEMON_NAME@.service itself is parsed.
-#
-# For example, if you want to increase mysql's open-files-limit to 20000
-# add following when editing with command above:
-#
-# [Service]
-# LimitNOFILE=20000
-#
-# Or if you require to execute pre and post scripts in the unit file as root, set
-# PermissionsStartOnly=true
-#
-# For more info about custom unit files, see systemd.unit(5) or
-# http://fedoraproject.org/wiki/Systemd#How_do_I_customize_a_unit_file.2F_add_a_custom_unit_file.3F
-#
-# Don't forget to reload systemd daemon after you change unit configuration:
-# root> systemctl --system daemon-reload
-
-[Unit]
-Description=@NICE_PROJECT_NAME@ @MAJOR_VERSION@.@MINOR_VERSION@ database server
-After=syslog.target
-After=network.target
-
-[Service]
-Type=notify
-User=mysql
-Group=mysql
-
-ExecStartPre=@libexecdir@/mysql-check-socket
-ExecStartPre=@libexecdir@/mysql-prepare-db-dir %n
-# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
-# per bug #547485
-ExecStart=@libexecdir@/mysqld --basedir=@prefix@
-ExecStartPost=@libexecdir@/mysql-check-upgrade
-ExecStopPost=@libexecdir@/mysql-wait-stop
-
-# Give a reasonable amount of time for the server to start up/shut down
-TimeoutSec=300
-
-# Place temp files in a secure directory, not /tmp
-PrivateTmp=true
-
-Restart=on-failure
-
-RestartPreventExitStatus=1
-
-# Sets open_files_limit
-LimitNOFILE = 10000
-
-# Set enviroment variable MYSQLD_PARENT_PID. This is required for SQL restart command.
-Environment=MYSQLD_PARENT_PID=1
-
-[Install]
-WantedBy=multi-user.target
|
[-]
[+]
|
Deleted |
mysql.tmpfiles.d.in
^
|
@@ -1 +0,0 @@
-d @PID_FILE_DIR@ 0755 mysql mysql -
|
[-]
[+]
|
Deleted |
mysql@.service.in
^
|
@@ -1,63 +0,0 @@
-# It's not recommended to modify this file in-place, because it will be
-# overwritten during package upgrades. If you want to customize, the
-# best way is to use systemctl edit:
-#
-# $ systemctl edit @DAEMON_NAME@.service
-#
-# this will create file
-#
-# /etc/systemd/system/@DAEMON_NAME@.service.d/override.conf
-#
-# which be parsed after the file @DAEMON_NAME@.service itself is parsed.
-#
-# For example, if you want to increase mysql's open-files-limit to 20000
-# add following when editing with command above:
-#
-# [Service]
-# LimitNOFILE=20000
-#
-# Or if you require to execute pre and post scripts in the unit file as root, set
-# PermissionsStartOnly=true
-#
-# For more info about custom unit files, see systemd.unit(5) or
-# http://fedoraproject.org/wiki/Systemd#How_do_I_customize_a_unit_file.2F_add_a_custom_unit_file.3F
-#
-# Don't forget to reload systemd daemon after you change unit configuration:
-# root> systemctl --system daemon-reload
-
-[Unit]
-Description=@NICE_PROJECT_NAME@ @MAJOR_VERSION@.@MINOR_VERSION@ database server
-After=syslog.target
-After=network.target
-
-[Service]
-Type=notify
-User=mysql
-Group=mysql
-
-ExecStartPre=@libexecdir@/mysql-check-socket --defaults-group-suffix=.%I
-ExecStartPre=@libexecdir@/mysql-prepare-db-dir --defaults-group-suffix=.%I %n
-# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
-# per bug #547485
-ExecStart=@libexecdir@/mysqld --defaults-group-suffix=.%I --basedir=@prefix@
-ExecStartPost=@libexecdir@/mysql-check-upgrade --defaults-group-suffix=.%I
-ExecStopPost=@libexecdir@/mysql-wait-stop --defaults-group-suffix=.%I
-
-# Give a reasonable amount of time for the server to start up/shut down
-TimeoutSec=300
-
-# Place temp files in a secure directory, not /tmp
-PrivateTmp=true
-
-Restart=on-failure
-
-RestartPreventExitStatus=1
-
-# Sets open_files_limit
-LimitNOFILE = 10000
-
-# Set enviroment variable MYSQLD_PARENT_PID. This is required for SQL restart command.
-Environment=MYSQLD_PARENT_PID=1
-
-[Install]
-WantedBy=multi-user.target
|
[-]
[+]
|
Deleted |
mysql_config_multilib.sh
^
|
@@ -1,26 +0,0 @@
-#! /bin/sh
-#
-# Wrapper script for mysql_config to support multilib
-#
-# This command respects setarch
-
-bits=$(rpm --eval %__isa_bits)
-
-case $bits in
- 32|64) status=known ;;
- *) status=unknown ;;
-esac
-
-if [ "$status" = "unknown" ] ; then
- echo "$0: error: command 'rpm --eval %__isa_bits' returned unknown value: $bits"
- exit 1
-fi
-
-
-if [ -x @bindir@/mysql_config-$bits ] ; then
- @bindir@/mysql_config-$bits "$@"
-else
- echo "$0: error: needed binary: @bindir@/mysql_config-$bits is missing"
- exit 1
-fi
-
|
[-]
[+]
|
Deleted |
server.cnf.in
^
|
@@ -1,18 +0,0 @@
-#
-# This group are read by MySQL server.
-# Use it for options that only the server (but not clients) should see
-#
-# For advice on how to change settings please see
-# http://dev.mysql.com/doc/refman/en/server-configuration-defaults.html
-
-# Settings user and group are ignored when systemd is used.
-# If you need to run mysqld under a different user or group,
-# customize your systemd unit file for mysqld according to the
-# instructions in http://fedoraproject.org/wiki/Systemd
-
-[mysqld]
-datadir=@MYSQL_DATADIR@
-socket=@MYSQL_UNIX_ADDR@
-log-error=@LOG_LOCATION@
-pid-file=@PID_FILE_DIR@/@DAEMON_NO_PREFIX@.pid
-
|